Bug 225085 - [MAINTAINER] security/botan2: update to 2.4.0
Summary: [MAINTAINER] security/botan2: update to 2.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks: 225176 225177 225178
  Show dependency treegraph
 
Reported: 2018-01-11 21:10 UTC by Ralf van der Enden
Modified: 2018-01-15 17:18 UTC (History)
0 users

See Also:


Attachments
Update to botan 2.4.0 (4.19 KB, patch)
2018-01-11 21:10 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2018-01-11 21:10:39 UTC
Created attachment 189634 [details]
Update to botan 2.4.0

Also fixed building for aarch64. 'botan speed' works in my poudriere aarch64 jail. Might need further testing on a real ARM64 platform though.

Buildlogs:
aarch64: https://pkg.cainites.net/data/freebsd_11a64-system/latest-per-pkg/botan2-2.4.0.log
amd64: https://pkg.cainites.net/data/freebsd_11x64-system/latest-per-pkg/botan2-2.4.0.log

Changelog: https://botan.randombit.net/news.html#version-2-4-0-2018-01-08
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-01-14 18:02:47 UTC
3 dependent ports need PORTREVISION bump due to shlib change in this update.
Comment 2 Ralf van der Enden 2018-01-15 09:41:42 UTC
You're absolutely right. Sorry for that omission.

I've added PR's for the 3 dependent ports
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-01-15 17:18:22 UTC
Committed. Thanks!
Comment 4 commit-hook freebsd_committer 2018-01-15 17:18:29 UTC
A commit references this bug:

Author: sunpoet
Date: Mon Jan 15 17:17:01 UTC 2018
New revision: 459096
URL: https://svnweb.freebsd.org/changeset/ports/459096

Log:
  Update security/botan2 to 2.4.0

  - Fix build on aarch64
  - While I'm here:
    - Strip shared library in post-install:
    - Do not silence installation message
    - Bump PORTREVISION of dependent ports for shlib change

  Changes:	https://botan.randombit.net/news.html
  PR:		225085
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)

Changes:
  head/security/botan2/Makefile
  head/security/botan2/distinfo
  head/security/botan2/files/
  head/security/botan2/pkg-plist